Subject: Re: has anyone built GNATS? Other PM package?
From: [email-masked] (Fergus Henderson)

10 Feb 1998 08:59:52 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: ESP <[email-masked]>
Cc: Thomas Nichols <[email-masked]>, [email-masked]

On 09-Feb-1998, ESP <[email-masked]> wrote:
> >>>>> "TN" == Thomas Nichols <[email-masked]> writes:
> 
>     TN> Hello, a week or so back I saw a query from ESP about GNATS
>     TN> 3.2, but I didn't see any followups. Has anyone got this
>     TN> working?
> 
> Thomas,
> 
> On my own side, I was referred to the newer GNATS 3.104, which has a
> configuration especially built for gnu-win32.  HOWEVER, it still
> wouldn't build (got some weird non-constant initializer error on a
> line "FILE* outfile = stdout;").

If GNATs contains "FILE* outfile = stdout;", not inside any function,
this is a bug in GNATS: that's not valid ANSI C source code. 
Change it to `FILE* outfile = stdout;' and add `outfile = stdout;' at
the start of main().

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".